Gtk_Preview(3)

NAME - Gtk_Preview

HEADER REQUIRED
#include <gtk--/preview.h&gt;>

BASE CLASSES
Gtk_Widget(3)

PROPERTIES

buffer
    Type: guchar*

buffer_width
    Type: guint16

buffer_height
    Type: guint16

bpp
    Type: guint16

rowstride
    Type: guint16

dither
    Type: GdkRgbDither

type
    Type: guint:1

expand
    Type: guint:1

     .IP

PUBLIC MEMBER INDEX
    Gtk_Preview(GtkPreviewType type);
    Gtk_Preview(GtkPreview *castitem);
    void  size(gint width, gint height);
    void  put(Gdk_Window &window, Gdk_GC &gc, gint srcx, gint srcy, gint destx, gint desty, gint width, gint height);
    void  draw_row(const guchar *data, gint x, gint y, gint w);
    void  set_expand(bool expand);
    static void  set_gamma(double gamma);
    static void  set_color_cube(guint nred_shades, guint ngreen_shades, guint nblue_shades, guint ngray_shades);
    static void  set_install_cmap(bool install_cmap);
    static void  set_reserved(gint nreserved);
    static Gdk_Visual  get_visual();
    static Gdk_Colormap  get_cmap();
    static GtkPreviewInfo *  get_info();
    static void  reset();
    static void  uninit();
    void  set_dither(GdkRgbDither dither);
    GtkPreview*  gtkobj();
    const GtkPreview*  gtkobj() const;
    static bool  isGtkPreview(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkPreview  BaseObjectType;
    typedef GtkPreviewClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  preview_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS